Subject: bug#6362: closed (Re: bug#6362: Emacs command `dired-isearch-filenames-regexp' cause CPU usage 100%)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Sep 2011 15:55:03 +0000

Your bug report

#6362: Emacs command `dired-isearch-filenames-regexp' cause CPU usage 100%

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6362: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6362
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#6362: Emacs command `dired-isearch-filenames-regexp' cause CPU usage 100%
From: Juri Linkov <[email-masked]>
To: [email-masked]
Date: Fri, 09 Sep 2011 18:49:19 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> BTW, there is another bug in query-replace lazy-highlighting in dired.
> Wdired sets `query-replace-skip-read-only' to replace only in
> file names, but during replacement all read-only matches are
> lazy-highlighted too.  This can be fixed with this patch:
> [...]
> +(defun wdired-isearch-filter-read-only (beg end)
> +  "Skip matches that have a read-only property."
> +  (and (isearch-filter-visible beg end)
> +       (not (text-property-not-all (min beg end) (max beg end)
> +				   'read-only nil))))

I installed this old patch and closed this bug.

Subject: Emacs command `dired-isearch-filenames-regexp' cause CPU usage 100%
From: Li Zhai <[email-masked]>
To: "bug.gnu.submit" <[email-masked]>
Date: Sun, 6 Jun 2010 11:36:00 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Package: Emacs
Version: 23.2.1

I use the command `dired-isearch-filenames-regexp' to find some files
in a directory. I use the the anchor `^' to match the files start with
something. Emacs is suspended and the CPU usage is 100%.Here is a
transcript:

1. Open a directory in dired mode.
2. Input `M-x dired-isearch-filenames-regexp RET  ^ f RET'

Emacs will suspend rather than match the file names start with `f'.

I'm using Windows XP, Emacs version 23.2.

Bye,

Li Zhai